package com.sabirjan.HanziCode;

public class JianChaHanZi {
	  private  boolean isChinese(char c)
	  {
	        Character.UnicodeBlock ub = Character.UnicodeBlock.of(c);
	        if (ub == Character.UnicodeBlock.CJK_UNIFIED_IDEOGRAPHS
	             || ub == Character.UnicodeBlock.CJK_COMPATIBILITY_IDEOGRAPHS
	            || ub == Character.UnicodeBlock.CJK_UNIFIED_IDEOGRAPHS_EXTENSION_A
	            || ub == Character.UnicodeBlock.GENERAL_PUNCTUATION
	            || ub == Character.UnicodeBlock.CJK_SYMBOLS_AND_PUNCTUATION
	            || ub == Character.UnicodeBlock.HALFWIDTH_AND_FULLWIDTH_FORMS) {
	            return true;
	        }
	        return false;
	    }
	        
	        /**
	         * 检测String是否全是中文
	         * @param name
	         * @return
	         */
	   public  String checkNameChese(String name)
	   {
	           String res="";
	           char [] cTemp = name.toCharArray(); 
	           for(int i=0;i<name.length();i++)
	           {
	                   if(isChinese(cTemp[i]))
	                   {
	                	   res+=cTemp[i];
	                   }
	           }           
	           return res;
	   }

}
